Bug 1485361 - nrpe does not start automatically on boot
Summary: nrpe does not start automatically on boot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nrpe
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Stephen John Smoogen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-25 13:21 UTC by Atanas Zhelev
Modified: 2018-10-05 17:19 UTC (History)
10 users (show)

Fixed In Version: nrpe-3.2.1-1.fc27 nrpe-3.2.1-6.el6 nrpe-3.2.1-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-06 11:19:52 UTC


Attachments (Terms of Use)
new nrpe.service file (849 bytes, text/plain)
2017-11-06 15:29 UTC, Koen van der Rijt
no flags Details

Description Atanas Zhelev 2017-08-25 13:21:58 UTC
Description of problem:
nrpe daemon does not start automatically on boot.

Version-Release number of selected component (if applicable):
nrpe-3.1.1-1.el7.x86_64

How reproducible:
every time

Steps to Reproduce:
1. configure and enable nrpe
2. reboot
3.

Actual results:
nrpe is NOT running after reboot

Expected results:
nrpe is running after reboot

Additional info:
nrpe tries to start before the network is up

[root@trgen1 ~]# systemctl status nrpe
● nrpe.service - Nagios Remote Program Executor
   Loaded: loaded (/usr/lib/systemd/system/nrpe.service; enabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since Fri 2017-08-25 13:00:21 UTC; 1min 21s ago
     Docs: http://www.nagios.org/documentation
  Process: 480 ExecStart=/usr/sbin/nrpe -c /etc/nagios/nrpe.cfg -d $NRPE_SSL_OPT (code=exited, status=0/SUCCESS)
 Main PID: 506 (code=exited, status=1/FAILURE)

Aug 25 13:00:21 trgen1 systemd[1]: Starting Nagios Remote Program Executor...
Aug 25 13:00:21 trgen1 nrpe[506]: Starting up daemon
Aug 25 13:00:21 trgen1 nrpe[506]: Bind to port 5666 on 10.111.113.21 failed: Cannot assign requested address.
Aug 25 13:00:21 trgen1 systemd[1]: Started Nagios Remote Program Executor.
Aug 25 13:00:21 trgen1 systemd[1]: nrpe.service: main process exited, code=exited, status=1/FAILURE
Aug 25 13:00:21 trgen1 systemd[1]: Unit nrpe.service entered failed state.
Aug 25 13:00:21 trgen1 systemd[1]: nrpe.service failed.

To fix it add "After=network.target" in the unit file. The "Requires=network.target" statement is not enough as this does not influence the order in which units are started.

Citing https://www.freedesktop.org/software/systemd/man/systemd.unit.html:

    Requires=

    Configures requirement dependencies on other units. If this unit gets activated, the units listed here will be activated as well. If one of the other units gets deactivated or its activation fails, this unit will be deactivated. This option may be specified more than once or multiple space-separated units may be specified in one option in which case requirement dependencies for all listed names will be created. Note that requirement dependencies do not influence the order in which services are started or stopped. This has to be configured independently with the After= or Before= options. If a unit foo.service requires a unit bar.service as configured with Requires= and no ordering is configured with After= or Before=, then both units will be started simultaneously and without any delay between them if foo.service is activated. Often, it is a better choice to use Wants= instead of Requires= in order to achieve a system that is more robust when dealing with failing services.



--
BRS
Atanas Zhelev

Comment 1 Timothy Kite 2017-09-25 15:58:53 UTC
Can confirm the fix/workaround of changing Requires= to After= in the service definition.

Comment 2 Koen van der Rijt 2017-11-03 10:37:23 UTC
als encountering this problem and can confirm Timothy's workaround

Comment 3 Koen van der Rijt 2017-11-06 15:29:21 UTC
Created attachment 1348653 [details]
new nrpe.service file

I only added the After=network.target line on #5

Comment 4 Fedora Update System 2017-11-21 22:13:02 UTC
nrpe-3.2.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7d3573f0dd

Comment 5 Fedora Update System 2017-11-21 22:35:46 UTC
nrpe-3.2.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fc61945c6e

Comment 6 Fedora Update System 2017-11-21 23:19:52 UTC
nrpe-3.2.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a0dbaac6c4

Comment 7 Fedora Update System 2017-11-21 23:37:00 UTC
nrpe-3.2.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3814ee7c37

Comment 8 Fedora Update System 2017-11-22 17:53:13 UTC
nrpe-3.2.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c3d78c0cc5

Comment 9 Fedora Update System 2017-11-22 21:40:07 UTC
nrpe-3.2.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3814ee7c37

Comment 10 Fedora Update System 2017-11-25 00:53:22 UTC
nrpe-3.2.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7d3573f0dd

Comment 11 Fedora Update System 2017-11-25 01:32:54 UTC
nrpe-3.2.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a0dbaac6c4

Comment 12 Fedora Update System 2017-11-25 05:22:54 UTC
nrpe-3.2.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fc61945c6e

Comment 13 Fedora Update System 2018-02-06 11:19:52 UTC
nrpe-3.2.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-02-06 15:26:09 UTC
nrpe-3.2.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-07-24 22:50:25 UTC
nrpe-3.2.1-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-957b082df2

Comment 16 Fedora Update System 2018-07-24 23:27:18 UTC
nrpe-3.2.1-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b3550341aa

Comment 17 Fedora Update System 2018-07-25 19:52:13 UTC
nrpe-3.2.1-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-957b082df2

Comment 18 Fedora Update System 2018-07-25 20:05:24 UTC
nrpe-3.2.1-6.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b3550341aa

Comment 19 Fedora Update System 2018-07-26 11:49:46 UTC
nrpe-3.2.1-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-957b082df2

Comment 20 Fedora Update System 2018-10-05 14:37:41 UTC
nrpe-3.2.1-6.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2018-10-05 17:19:32 UTC
nrpe-3.2.1-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.